# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "nominal-api"
version = "0.1036.0"
authors = ["Alexander Hill <alex.hill@nominal.io>"]
build = "build.rs"
include = [
    "src/",
    "build.rs",
    "definitions/",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "API bindings for the Nominal platform"
homepage = "https://nominal.io"
readme = "README.md"
license = "MIT"

[features]
_build = [
    "tonic",
    "dep:tonic-build",
]
default = ["tonic"]
tonic = [
    "dep:tonic",
    "dep:prost",
]

[lib]
name = "nominal_api"
path = "src/lib.rs"

[[bin]]
name = "compile-protos"
path = "src/bin/compile_protos.rs"
required-features = ["_build"]

[dependencies.conjure-error]
version = "4"

[dependencies.conjure-http]
version = "4"

[dependencies.conjure-object]
version = "4"

[dependencies.prost]
version = "0.13.5"
optional = true

[dependencies.tonic]
version = "0.13.1"
features = ["transport"]
optional = true

[dependencies.tonic-build]
version = "0.13.1"
optional = true

[build-dependencies.conjure-codegen]
version = "4"
